body {
	font-family: sans-serif;
	margin-inline: clamp(0.5rem, 1rem, 2vw);
}

/* header and navigation */

h1, #headline, #navigation { margin: 0; text-align: center; }
h1, #navigation { border-bottom: 1px solid #cccccc; }
#headline { border-bottom: none; font-size: 1em; }
#headline a, #navigation li a { text-decoration: none; }
h1, #headline a { color: #666666; font-weight: normal; }

#navigation {
	padding: 0.125em;
	font-size: 0.8em;
}

#navigation li { display: inline; list-style-position: outside; }
#navigation li:not(:first-child):before { content: ' – '; color: #cccccc; }

/* normal lists */

ul { list-style: square; }
ul ul { list-style: '– '; }
li { margin-bottom: 0.0625em; }
li::marker { color: #666666; font-weight: bold; }

/* headings */

h2, h3 {
	display: flex;
	align-items: center;
	font-family: monospace;
	font-weight: bold;
}
h2 { font-size: 1.8em; color: mediumvioletred; }
h3 { font-size: 1.5em; color: #666666; }

h2::before, h2::after, h3::before, h3::after { content: ""; height: 1px; }
h2::before, h2::after  { border-bottom: 1px solid mediumvioletred; }
h3::before, h3::after  { border-bottom: 1px solid #666666; }
h2::before, h3::before { flex-shrink: 0; margin-right: 0.5em; width: 2rem; }
h2::after , h3::after  { flex-grow: 1;   margin-left:  0.5em; min-width: 2em; }

/* links */

a { color: #000099; text-decoration: underline; }
a:focus, a:hover { color: #cc0000 !important; }

/* images */

.left, .right { margin: 0 1em 1em 0; }
.left  { float: left;  margin-left: 0 !important; }
.right { float: right; margin-right: 0 !important; }
.clear { clear: both; }
.imagebox { margin: 1em; }

.imagebox img, .imagebox video {
	max-width: 100%;
}

.gallery-thumbs {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(min(100%, 400px), 1fr));
	gap: 1em 5%;
	padding: 1em;
	align-items: center;
	justify-items: center;
	background: #f8f8f8;
	/* display: flow-root; */
}
.gallery-thumbs img {
	max-width: 100%;
	/*height: auto;
	display: block;*/
}

/* Footnotes */

#footnotes li:target { background-color: #fff9c4; transition: background-color 0.5s ease; }
a[role="doc-noteref"]:target {
	background-color: #ffe500;
}

#footnotes li { margin-bottom: 0.25em; }

/* Fallback styling of footnotes if the script is broken */
span.footnote-source {
	font-size: 80%;
	display: inline;
}
span.footnote-source:before { content: ' '; }


